//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "frmmain.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "SDL_Scale"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Scale2AfterScaleRendered(TObject *Sender,
      TCanvas *Canvas)
{
int x, v;

Canvas->Brush->Style = bsSolid;
Canvas->Brush->Color = clRed;
v = SBarMeterValue->Position;
if (v < Scale2->RangeLow)
  {
  v = int(Scale2->RangeLow);
  }
if (v > Scale2->RangeHigh)
  {
  v = int(Scale2->RangeHigh);
  }
x = Scale2->ConvertToPixelCoords (v);
Canvas->Rectangle(x-2, 2, x+2, 14);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::SBarMeterValueChange(TObject *Sender)
{
Scale2->Refresh();
Scale3->Refresh();
Scale4->Refresh();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Scale3AfterScaleRendered(TObject *Sender,
      TCanvas *Canvas)
{
int x,y;
int v;
TPoint points[3];


Canvas->Brush->Style = bsSolid;
Canvas->Brush->Color = clLime;
v = SBarMeterValue->Position;
if (v < Scale3->RangeLow)
  {
  v = int(Scale3->RangeLow);
  };
if (v > Scale3->RangeHigh)
  {
  v = int(Scale3->RangeHigh);
  };
x = Scale3->Width-Scale3->MarginRight;
y = Scale3->ConvertToPixelCoords (v);

points[0] = Point(x,y);
points[1] = Point(x+14,y+4);
points[2] = Point(x+14,y-4);
Canvas->Polygon (points, 2);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Scale4BeforeScaleRendered(TObject *Sender,
      TCanvas *Canvas)
{
  int   y, y0;
  int   v;

Canvas->Brush->Style = bsSolid;
if (SBarMeterValue->Position < 0)
  {
  Canvas->Brush->Color = clBlue;
  Canvas->Pen->Color = clBlue;
  }
else
  {
  Canvas->Brush->Color = clRed;
  Canvas->Pen->Color = clRed;
  }
y0 = Scale4->ConvertToPixelCoords (0);
v = SBarMeterValue->Position;
if (v < Scale4->RangeLow)
  {
  v = int(Scale4->RangeLow);
  }
if (v > Scale4->RangeHigh)
  {
  v = int(Scale4->RangeHigh);
  }
y = Scale4->ConvertToPixelCoords (v);
Canvas->Rectangle (Scale4->Width-Scale4->MarginRight-5, y,
                  Scale4->Width-Scale4->MarginRight+8, y0);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::BButExitClick(TObject *Sender)
{
Close();        
}
//---------------------------------------------------------------------------

void __fastcall TForm1::SBarHighChange(TObject *Sender)
{
Scale1->RangeHigh = SBarHigh->Position;
Scale2->RangeHigh = SBarHigh->Position;
}
//---------------------------------------------------------------------------

